# -*- coding: utf-8 -*-
from __future__ import absolute_import
"""
Widgets for newsletter2 forms

"""
from django.utils.safestring import mark_safe
from django.forms.widgets import Widget
from django.template.loader import render_to_string

#from cms.forms.widgets import PluginEditor
from jmb.newsletter2.utils import newsletter2_static_url

class PluginEditor(Widget):
    def __init__(self, attrs=None):
        if attrs is not None:
            self.attrs = attrs.copy()
        else:
            self.attrs = {}

    class Media:
        js = [newsletter2_static_url(path) for path in (
            'js/libs/jquery.ui.core.js',
            'js/libs/jquery.ui.sortable.js',
            'js/plugin_editor.js',
        )]
        css = {
            'all': [newsletter2_static_url(path) for path in (
                'css/plugin_editor.css',
            )]
        }

    def render(self, name, value, attrs=None):

        context = {
            'plugin_list': self.attrs['list'],
            'installed_plugins': self.attrs['installed'],
            'copy_languages': self.attrs['copy_languages'],
            'language': self.attrs['language'],
            'show_copy': self.attrs['show_copy'],
            'placeholder': self.attrs['placeholder'],
        }
        return mark_safe(render_to_string(
            'admin/newsletter2/newsletter/widgets/plugin_editor.html', context))