"""
settings for jmb.newsletter2 app

"""

NEWSLETTER2_LANGUAGES = [
    ('it', 'ITALIANO',),
]
# -*- coding: utf-8 -*-
from django.utils.translation import ugettext_lazy as _

#: templates list to be in newsletter list plugins
NEWSLETTER2_LIST_CMSPLUGIN_TEMPLATES = (
    ("newsletter2/cms_plugins/newsletter_list.html", _("Newsletter list"),),
    )

#: newsletter status
NEWSLETTER2_STATUS_DRAFT = 0
NEWSLETTER2_STATUS_WAITING = 1
NEWSLETTER2_STATUS_SENDING = 2
NEWSLETTER2_STATUS_SENT = 4
NEWSLETTER2_STATUS_CANCELED = 5

#: newsletter status choices
NEWSLETTER2_STATUS_CHOICES = (
    (NEWSLETTER2_STATUS_DRAFT, _('draft')),
    (NEWSLETTER2_STATUS_WAITING, _('waiting sending')),
    (NEWSLETTER2_STATUS_SENDING, _('sending')),
    (NEWSLETTER2_STATUS_SENT, _('sent')),
    (NEWSLETTER2_STATUS_CANCELED, _('canceled')),
    )

#: newsletter templates path
NEWSLETTER2_TEMPLATE_PATH = "newsletter2"

NEWSLETTER2_SETTINGS_TYPE = (
    ("BOOLEAN", "BOOLEAN"),
    ("INTEGER", "INTEGER"),
    ("LIST", "LIST"),
    ("STRING", "STRING"),
    )

#: subscription forms list to be used in subscription plugins
NEWSLETTER2_CMSPLUGIN_SUBSCRIPTION_FORM_CLASSES = (
    ("jmb.newsletter2.forms.MailingListSubscriptionForm", _("Mailing list Subscription Form"),),
    )

#: subscription templates list to be used in subscription plugins
NEWSLETTER2_CMSPLUGIN_SUBSCRIPTION_FORM_TEMPLATES = (
    ("newsletter2/cms_plugins/subscription_form.html", _("Subscription Form"),),
    )

#: subscription thanks templates list to be used in subscription plugins
NEWSLETTER2_CMSPLUGIN_SUBSCRIPTION_THANKS_TEMPLATES = (
    ("newsletter2/cms_plugins/subscription_thanks.html", _("Subscription Thanks"),),
    )

#: subscription email templates list to be used in subscription plugins
NEWSLETTER2_CMSPLUGIN_SUBSCRIPTION_EMAIL_TEMPLATES = (
    ("newsletter2/cms_plugins/subscription_email.html", _("Subscription Email"),),
    )

#: unsubscription forms list to be used in subscription plugins
NEWSLETTER2_CMSPLUGIN_UNSUBSCRIPTION_FORM_CLASSES = (
    ("jmb.newsletter2.forms.MailingListUnsubscriptionForm", _("Mailing list Unsubscription Form"),),
    )


NEWSLETTER2_CMSPLUGIN_UNSUBSCRIPTION_FORM_TEMPLATES = (
    ("newsletter2/cms_plugins/unsubscription_form.html", _("Unsubscription Form"),),
    )
NEWSLETTER2_CMSPLUGIN_UNSUBSCRIPTION_THANKS_TEMPLATES = (
    ("newsletter2/cms_plugins/unsubscription_thanks.html", _("Unsubscription Thanks"),),
    )
NEWSLETTER2_CMSPLUGIN_UNSUBSCRIPTION_EMAIL_TEMPLATES = (
    ("newsletter2/cms_plugins/unsubscription_email.html", _("Unsubscription Email"),),
    )

NEWSLETTER2_NEWSLETTER2_TEMPLATE_DEFAULT = "template.html"

NEWSLETTER2_CMSPLUGIN_SEARCH_TEMPLATES = (
    ("newsletter2/cms_plugins/search.html", _("Search form"),),
    )

NEWSLETTER2_CMSPLUGIN_SEARCH_FORM_CLASSES = (
    ("jmb.newsletter2.forms.SearchNewsletterForm", _("Search newsletter form"),),
    )
NEWSLETTER2_CMSPLUGIN_TEMPLATECHOICES_TEMPLATES = (
    ("newsletter2/cms_plugins/footer.html", _("Template Footer"),),
    ("newsletter2/cms_plugins/header.html", _("Template Header"),),
)

NEWSLETTER2_CMSPLUGIN_NEWSDETAIL_TEMPLATES = (
    ("newsletter2/cms_plugins/news_detail_left_img.html", _("News detail left img"),),
    ("newsletter2/cms_plugins/news_detail_right_img.html", _("News detail right img"),),
)

NEWSLETTER2_CMSPLUGIN_DIARYDETAIL_TEMPLATES = (
    ("newsletter2/cms_plugins/diary_detail.html", _("Diary detail"),),
)

NEWSLETTER2_CMSPLUGIN_EMPTY_TEMPLATE = "newsletter2/cms_plugins/empty.html"

